7-Technologies AQUIS Unspecified Path Subversion Arbitrary DLL Injection Code Execution

High Nessus Plugin ID 58449


A program installed on the remote Windows host is affected by an insecure DLL loading vulnerability.


The installed version of 7-Technologies AQUIS on the remote Windows host is 1.5 dated October 13, 2011 or earlier. As such, it insecurely looks in its current working directory when resolving DLL dependencies.

Attackers may exploit this issue by placing a specially crafted DLL file and another file associated with the application in a location controlled by the attacker. When the associated file is launched, the attacker's arbitrary code can be executed.

This issue is corrected in newer versions of AQUIS by setting the following registry key :

- SOFTWARE\Microsoft\Windows NT\CurrentVersion\Image File Execution Options\aquis.exe\CWDIllegalInDllSearch


Update AQUIS to version 1.5 released after Oct. 13, 2011 or later.

Plugin Details

Severity: High

ID: 58449

File Name: scada_aquis_1_5.nbin

Version: $Revision: 1.77 $

Type: local

Family: SCADA

Published: 2012/03/23

Modified: 2018/02/06

Dependencies: 58448

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:7t:aquis

Required KB Items: SCADA/Apps/7T/AQUIS/Installed

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/12/14

Vulnerability Publication Date: 2012/02/17

Reference Information

CVE: CVE-2012-0224

BID: 52070

OSVDB: 79408

ICSA: 12-025-01